##
## Copyright (c) 2000, 2001, 2002, Amnon BARAK (amnon@MOSIX.org).
## All rights reserved.
## This software is subject to the MOSIX SOFTWARE LICENSE AGREEMENT.
##
## THIS SOFTWARE IS PROVIDED IN ITS "AS IS" CONDITION, WITH NO WARRANTY
## WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
##
##
## Author(s): Ariel Eizenberg
##

ROOT	=	/
PREFIX	=	$(ROOT)/usr
MANPREFIX =	$(shell if [ -x "/usr/share/man" ]; then echo $(PREFIX)/share;\
		else if [ -x "/usr/local/man" ]; then echo $(PREFIX)/local; \
		else echo $(PREFIX); fi; fi)

CC 	=	gcc
CFLAGS	=	-Wall -I/m/include -I./ -I/usr/src/linux/include
#-I$(PREFIX)/include
LDFLAGS =	

INSTALL	=	/usr/bin/install 
#INSTALL	=	/usr/bin/install -o root -g root

MAKESUBDIRS	=	$(foreach dir,$(DIRS), $(shell cd $(dir) ; $(MAKE)))


ifdef DEBUG
CFLAGS += -g -DDEBUG
else
CFLAGS += -O2 -Wall
endif

CLEANALL	=	rm -f *.a *.o core
CLEANLIBS	=	rm -f *.so *.so.0 *.so.0.2

